首页 > 移动平台 > 详细

Appium问题及解决(3):android sdk版本与手机版本不兼容出现的报错问题

时间:2021-09-22 03:31:01      阅读:9      评论:0      收藏:0      [点我收藏+]

使用python+appium执行自动化测试脚本提示报错

环境:python3.7以上,appium1.21.0;设备:华为max8真机

报错信息:

android.intent.category.LAUNCHER -f 0x10200000‘ exited with code 4294967295‘; Stderr: ‘Security exception: Permission Denial: starting Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.wondertek.paper/cn.thepaper.paper.ui.main.MainActivity } from null (pid=13494, uid=2000) not exported from uid 10149

我测试的手机版本是android 9 ,sdk里的版本不支持,所以一直报这个错,下载最新的sdk后,解决。
sdk的版本一定要兼容你的手机型号
如果Appium的chromedriver.exe的版本高,也可能需要更高版本的sdk的支持

android sdk 查看sdk的版本

1、找到android sdk的安装包,双击 SDK Manager.exe 

技术分享图片

 

 2、跳出窗口后,点击Tools--About;可以看到sdk的版本号;查看sdk版本号对应的手机版本,可参考:

转载至 飞扬飞  https://www.cnblogs.com/fei-android/p/11059580.html

技术分享图片

 

Appium问题及解决(3):android sdk版本与手机版本不兼容出现的报错问题

原文:https://www.cnblogs.com/YouJeffrey/p/15310463.html

(0)
(0)
   
举报
评论 一句话评论(0
© 2014 bubuko.com 版权所有
打开技术之扣,分享程序人生!